java: 错误: 无效的源发行版:17

文章目录

  • 一、报错问题
  • 二、问题背景
  • 三、原因分析
  • 四、解决方案

一、报错问题

java: 错误: 无效的源发行版:17
报错截图

二、问题背景

(1)POM文件中配置的版本信息:spring boot:3.1.0,jdk:17

pom.xml

    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>3.1.0</version>
        <relativePath/> <!-- lookup parent from repository -->
    </parent>
    <groupId>com.example</groupId>
    <artifactId>first-spring-boot-project</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <name>first-spring-boot-project</name>
    <description>first-spring-boot-project</description>
    <properties>
        <java.version>17</java.version>
    </properties>

(2)“Project Structure” 窗口配置的JDK版本
在这里插入图片描述
在这里插入图片描述

三、原因分析

POM文件中配置的JDK版本信息"Project Structure" 窗口配置的JDK版本 不一致。
比如在本案例中,POM文件配置的JDK版本为17,而Project Structure" 窗口配置的JDK版本却为1.8,两者不一致导致出现上述报错。

四、解决方案

修改 "Project Structure" 窗口配置的JDK版本。具体操作如下:

打开 “Project Structure” 窗口,修改 Project 和 Modules 下的 JDK 版本,使其保持与POM文件中配置的版本信息一致(如本项目为JDK17)。如下图所示。
(1)修改 Project 的 JDK
在这里插入图片描述
(2)修改 Modules 的 JDK
在这里插入图片描述

附录


打开 “Project Structure” 窗口的两种方式:
方式1: 在菜单栏依次找到 File -> Project Structure,点击即可打开"Project Structure" 窗口。
方式2: 使用快捷键:Ctrl + Alt + Shift + S

  • 11
    点赞
  • 19
    收藏
    觉得还不错? 一键收藏
  • 2
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论 2
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值